"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotificationVue2 = exports.Notification = void 0; // @ts-ignore

var Vue = require("vue");

var allVue = Vue;
var gh = allVue.h;

var package_metadata_1 = require("./package-metadata");

var kendo_vue_common_1 = require("@progress/kendo-vue-common");

var buttonTitle = 'Close'; // tslint:enable:max-line-length

var NotificationVue2 = {
  name: 'KendoNotification',
  props: {
    closable: {
      type: [Object, Boolean],
      default: function _default() {
        return false;
      }
    },
    dir: String,
    type: {
      type: Object,
      default: function _default() {
        return {
          style: 'none',
          icon: true
        };
      },
      validator: function validator(value) {
        return ['none', 'success', 'error', 'warning', 'info'].includes(value.style);
      }
    }
  },
  created: function created() {
    kendo_vue_common_1.validatePackage(package_metadata_1.packageMetadata);
  },
  // @ts-ignore
  setup: !gh ? undefined : function () {
    var v3 = !!gh;
    return {
      v3: v3
    };
  },
  // @ts-ignore
  render: function render(createElement) {
    var h = gh || createElement;
    var defaultSlot = kendo_vue_common_1.getDefaultSlots(this);
    var _a = this.$props,
        closable = _a.closable,
        type = _a.type;
    return h("div", {
      "class": "k-notification-container"
    }, [h("div", {
      "class": 'k-widget k-notification' + (type.style === 'none' ? '' : " k-notification-" + type.style) + (closable ? ' k-notification-closable' : ''),
      style: this.$props.style
    }, [h("div", {
      "class": "k-notification-wrap"
    }, [type.icon && h("span", {
      "class": "k-icon k-i-" + type.style
    }), h("div", {
      "class": "k-notification-content"
    }, [defaultSlot]), closable && h("a", {
      "class": "k-icon k-i-close",
      title: buttonTitle,
      attrs: this.v3 ? undefined : {
        title: buttonTitle
      },
      onClick: this.handleClick,
      on: this.v3 ? undefined : {
        "click": this.handleClick
      }
    })])])]);
  },
  methods: {
    handleClick: function handleClick(event) {
      this.$emit('close', {
        component: this,
        event: event
      });
    }
  }
};
exports.NotificationVue2 = NotificationVue2;
var Notification = NotificationVue2;
exports.Notification = Notification;